Lookup Drivers Licence
curl --request GET \
--url https://api.dojah.io/api/v1/kyc/dl \
--header 'AppId: <appid>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.dojah.io/api/v1/kyc/dl"
headers = {
"AppId": "<appid>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AppId: '<appid>', Authorization: '<api-key>'}};
fetch('https://api.dojah.io/api/v1/kyc/dl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity": {
"licenseNo": "IKJ29459AB13",
"firstName": "JOHN",
"lastName": "MUSA",
"middleName": "",
"gender": "Male",
"issuedDate": "2019-01-22",
"expiryDate": "2024-05-18",
"stateOfIssue": "LAGOS",
"birthDate": "18-05-1990",
"photo": "BASE 64 Image"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Lookup Drivers Licence
An endpoint to verify and validate your customers using Drivers License Number
GET
/
api
/
v1
/
kyc
/
dl
Lookup Drivers Licence
Application ID from dashboard
Query parameter
Drivers licence Number
RESPONSES
json
{
"entity": {
"licenseNo": "IKJ29459AB13",
"firstName": "JOHN",
"lastName": "MUSA",
"middleName": "",
"gender": "Male",
"issuedDate": "2019-01-22",
"expiryDate": "2024-05-18",
"stateOfIssue": "LAGOS",
"birthDate": "18-05-1990",
"photo": "BASE 64 Image"
}
}
{
"error": "Invalid request parameters"
}
{
"error": "App Couldn't be Validated"
}
Was this page helpful?
⌘I